<template>
  <v-container>
    <v-btn
      depressed
      block
      rounded
      to="/checkout"
      class="text-none font-weight-bold mb-4 "
      color="success lighten-1"
      >Checkout</v-btn
    >
    <v-row
      class="border-round"
      v-for="item in items"
      :key="'item-' + item.id"
      cols="4"
    >
      <v-card
        :loading="loading"
        class="mx-auto my-2 px-3"
        color="#fff"
        min-height="160"
        max-height="160"
        min-width="400"
        max-width="400"
      >
        <v-card-title class="text-capitalize px-6 mt-2">
          <v-row justify="space-between">
            <span>{{ item.name }}</span>
            <span class="font-weight-bold blue--text">{{
              formatCurr(item.price * item.amount)
            }}</span>
          </v-row>
        </v-card-title>

        <v-card-text class="text-left">
          <span class="black--text text-capitalize"
            >{{ item.amount }} x {{ formatCurr(item.price) }}
          </span>
        </v-card-text>

        <v-card-actions>
          <v-btn
            fab
            small
            depressed
            @click="reduce(item)"
            class="text-none font-weight-bold "
            color="primary lighten-1"
            ><v-icon>mdi-minus</v-icon></v-btn
          >
          <h3 class="mx-3">{{ item.amount }}</h3>
          <v-btn
            fab
            small
            depressed
            @click="add(item)"
            class="text-none font-weight-bold "
            color="primary lighten-1"
            ><v-icon>mdi-plus</v-icon></v-btn
          >
          <v-spacer />
          <v-btn
            fab
            small
            depressed
            @click="remove(item)"
            class="text-none font-weight-bold white--text "
            color="red lighten-1"
            ><v-icon>mdi-cancel</v-icon></v-btn
          >
        </v-card-actions>
      </v-card>
    </v-row>
  </v-container>
</template>

<script>
export default {
  name: 'ShoppingCart',
  computed: {
    items() {
      return this.$store.state.cart;
    },
  },
  methods: {
    add(item) {
      this.$store.commit('addAmount', item);
    },
    reduce(item) {
      this.$store.commit('reduceAmount', item);
    },
    remove(item) {
      this.$store.commit('removeItem', item);
    },
    formatCurr(num) {
      return Intl.NumberFormat('id-ID', {
        style: 'currency',
        currency: 'IDR',
      }).format(num);
    },
  },
};
</script>
